[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Anyone using syslog-ng on RHEL 5?



I am having problems building syslog-ng 2.0.6 on RHEL 5. I have
installed the required eventlog libraries into /usr/local/event-0.2.5.
However, configure is not finding the libraries and is also
complaining about not finding pkg-config:

#./configure --prefix=/usr/local/syslog-ng
<snip>
checking for GLIB... yes
checking for EVTLOG... no
configure: error: Cannot find eventlog version >= 0.2: is pkg-config in path?
charger:/usr/local/src/syslog-ng-2.0.6 #which pkg-config


I have tried adding the /usr/local/eventlog-0.2.5/lib path to
/etc/ld.so.conf (and reconfiguring ld).
charger:/usr/local/src/syslog-ng-2.0.6 #ldconfig -p  | grep eventlog
       libevtlog.so.0 (libc6) => /usr/local/eventlog-0.2.5/lib/libevtlog.so.0
       libevtlog.so (libc6) => /usr/local/eventlog-0.2.5/lib/libevtlog.so


I have tried defining this in LD_LIBRARY_PATH. I have also tried
explicitly setting LDFLAGS (for the libs) and CPPFLAGS (for the
includes) in the environment I'm running configure from. I am unable
to get configure to find these libraries.
charger:/usr/local/src/syslog-ng-2.0.6 #which pkg-config
/usr/bin/pkg-config

charger:/usr/local/src/syslog-ng-2.0.6 #pkg-config --version
0.21
It also complains it can't find pkg-config, however pkg-config is
under /usr/bin and the shell I'm running this from has no problems
finding it:

charger:/usr/local/src/syslog-ng-2.0.6 #which pkg-config
/usr/bin/pkg-config

charger:/usr/local/src/syslog-ng-2.0.6 #pkg-config --version
0.21

Its probably a bonehead mistake I'm making but after 3 fresh looks at
this it still eludes me.

Thanks for any help,
CC



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]